Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002326 [JEDI VCL] 00 JVCL Components minor always 2004-11-21 11:08 2006-04-14 07:55
Reporter nestor View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.00 BETA 2
Summary 0002326: TJvDBIndexCombo and descending index
Description TJvDBIndexCombo raize exception when a descending index (Paradox) is selected. To avoid this I suggest this fix:
Additional Information function TJvDBIndexCombo.GetIndexFieldName(var AName: string): Boolean;
begin
  Result := True;
  if ItemIndex >= 0 then
  begin
    if EnableNoIndex and (Items[ItemIndex] = NoIndexItem) then
      AName := ''
    else
    with TIndexDef(Items.Objects[ItemIndex]) do
    begin
      AName := Fields;
      if (AName = '') or (ixDescending in Options) then
      begin
        AName := Name;
        Result := False;
      end;
    end;
  end
  else
    AName := '';
end;
Tags No tags attached.
Attached Files txt file icon JvBDEIndex.pas.txt [^] (1,091 bytes) 2005-10-26 20:03
zip file icon JvBDEIndexProject.zip [^] (7,767 bytes) 2006-04-04 12:37

- Relationships

-  Notes
(0008060)
nestor (reporter)
2005-10-26 20:02

Also, I suggest to use NoIndexItem to rename the primary paradox index (who has no name) in the index combo list

I upload the modification patch.

Regards
(0008865)
obones (administrator)
2006-04-04 05:06

I'm not quite sure as to what is done here.
Could you do the following?
1. Test against the latest version of the JVCL
2. If the bug is still there, create a sample application showing it
3. Zip up the sources and post it here.

Thanks in advance.
(0008919)
nestor (reporter)
2006-04-04 12:39

I do the test with last CVS. The bugs are still there.
JvBDEIndexProject shows the bugs. Also, it contains the fixed unit of JvBDEIndex.

Regards
(0009118)
obones (administrator)
2006-04-14 07:55

Thanks, this is now in CVS.

- Issue History
Date Modified Username Field Change
2004-11-21 11:08 nestor New Issue
2005-10-26 20:02 nestor Note Added: 0008060
2005-10-26 20:03 nestor File Added: JvBDEIndex.pas.txt
2005-10-26 20:03 nestor Issue Monitored: nestor
2006-04-04 05:06 obones Note Added: 0008865
2006-04-04 05:06 obones Status new => feedback
2006-04-04 12:36 nestor Note Added: 0008918
2006-04-04 12:37 nestor File Added: JvBDEIndexProject.zip
2006-04-04 12:38 nestor Note Deleted: 0008918
2006-04-04 12:39 nestor Note Added: 0008919
2006-04-14 07:55 obones Status feedback => resolved
2006-04-14 07:55 obones Resolution open => fixed
2006-04-14 07:55 obones Assigned To => obones
2006-04-14 07:55 obones Note Added: 0009118


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker